# Class PRS_Category
extends PRS_ExchangeElement

PRS_Category is used to classify the components of a Solution. Hierarchical classifications are created by associating PRS_CategoryParentChild with multiple PRS_Category instances.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement
|
+--PRS_Category

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | PRS_Category is used to classify the components of a Solution. Hierarchical classifications are created by associating PRS_CategoryParentChild with multiple PRS_Category instances.
UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CategoryContents | string |
Description | string | The specific value for the category. For example, 'HP Laserjet' would be a value for a category containing printer names.
CategoryType | string |

Description

string

The type of category. Used to give additional semantics to the category. For example, a Category of Type 'Printers' would qualify the list of category values for a list of printers. Note: the relationship of Category Type to Category Value expresses no intrinsic hierarchy. If a tree of relationships exists to define categories and sub-categories, this should be defined using CategoryParentChild associations.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
DirtyFlag | uint8 | PRS_ExchangeElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PRSUniqueName | string | PRS_ExchangeElement

## Class Methods